Bug 1270537 - [abrt] rhythmbox: rb_sync_settings_sync_category(): rhythmbox killed by SIGSEGV
[abrt] rhythmbox: rb_sync_settings_sync_category(): rhythmbox killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a16e77e9ef37212652883251cc5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 17:15 EDT by Mikhail
Modified: 2016-12-20 09:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:56:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.38 KB, text/plain)
2015-10-10 17:15 EDT, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-10 17:15 EDT, Mikhail
no flags Details
File: core_backtrace (4.79 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: dso_list (22.39 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: environ (1.94 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: maps (98.01 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: mountinfo (3.77 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: open_fds (1.72 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details
File: var_log_messages (2.85 KB, text/plain)
2015-10-10 17:16 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-10-10 17:15:52 EDT
Description of problem:
Crash occurs when I try synchronize music with my Nexus 5 phone.

Version-Release number of selected component:
rhythmbox-3.2.1-3.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rb_sync_settings_sync_category
executable:     /usr/bin/rhythmbox
global_pid:     24622
kernel:         4.2.3-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 rb_sync_settings_sync_category at rb-sync-settings.c:170
 #1 build_sync_itinerary at rb-sync-state.c:296
 #2 rb_sync_state_update at rb-sync-state.c:381
 #3 impl_constructed at rb-sync-state.c:466
 #4 g_object_new_internal at gobject.c:1819
 #5 g_object_new_valist at gobject.c:2038
 #7 rb_sync_state_new at rb-sync-state.c:447
 #8 update_sync at rb-media-player-source.c:365
 #9 sync_idle_cb_update_sync at rb-media-player-source.c:787
 #13 g_main_context_iteration at gmain.c:3901

Potential duplicate: bug 985124
Comment 1 Mikhail 2015-10-10 17:15:57 EDT
Created attachment 1081680 [details]
File: backtrace
Comment 2 Mikhail 2015-10-10 17:15:58 EDT
Created attachment 1081681 [details]
File: cgroup
Comment 3 Mikhail 2015-10-10 17:16:00 EDT
Created attachment 1081682 [details]
File: core_backtrace
Comment 4 Mikhail 2015-10-10 17:16:02 EDT
Created attachment 1081683 [details]
File: dso_list
Comment 5 Mikhail 2015-10-10 17:16:03 EDT
Created attachment 1081684 [details]
File: environ
Comment 6 Mikhail 2015-10-10 17:16:05 EDT
Created attachment 1081685 [details]
File: exploitable
Comment 7 Mikhail 2015-10-10 17:16:06 EDT
Created attachment 1081686 [details]
File: limits
Comment 8 Mikhail 2015-10-10 17:16:09 EDT
Created attachment 1081687 [details]
File: maps
Comment 9 Mikhail 2015-10-10 17:16:10 EDT
Created attachment 1081688 [details]
File: mountinfo
Comment 10 Mikhail 2015-10-10 17:16:12 EDT
Created attachment 1081689 [details]
File: namespaces
Comment 11 Mikhail 2015-10-10 17:16:13 EDT
Created attachment 1081690 [details]
File: open_fds
Comment 12 Mikhail 2015-10-10 17:16:15 EDT
Created attachment 1081691 [details]
File: proc_pid_status
Comment 13 Mikhail 2015-10-10 17:16:16 EDT
Created attachment 1081692 [details]
File: var_log_messages
Comment 14 Mikhail 2015-10-10 17:24:44 EDT
Another user experienced a similar problem:

Occurs when I press properties button in "Media Player" menu

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rb_sync_settings_sync_category
executable:     /usr/bin/rhythmbox
global_pid:     27010
kernel:         4.2.3-300.fc23.x86_64+debug
package:        rhythmbox-3.2.1-3.fc23
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fox 2015-11-12 12:43:13 EST
Another user experienced a similar problem:

Connect a Android Phone
Open Rhythmbox
Open the device in Rhythmbox
No songs are displayed that are on the phone and trying to click on properties or any other Option in Rhytmbox will lead to a crash

Additional Infos: Tried with Samsung Galaxy S2 - Android 5.1, Samasung Galaxy Note - Android 5.1,

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: rb_sync_settings_sync_category
executable:     /usr/bin/rhythmbox
global_pid:     5325
kernel:         4.2.5-300.fc23.x86_64
package:        rhythmbox-3.2.1-3.fc23
reason:         rhythmbox killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora Admin XMLRPC Client 2016-09-15 11:17:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 17 Fedora Admin XMLRPC Client 2016-09-16 03:09:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora End Of Life 2016-11-24 07:45:03 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 09:56:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.